### Hierarchy

- OwnPropsOfNonEmptyCell
  - NonEmptyCellProps

## Index

### Properties

- cells
- enabled
- errors
- path
- propName
- renderers
- rootSchema
- rowPath
- schema

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

Inherited from NonEmptyCellProps.cells

- Defined in packages/material/src/complex/MaterialTableControl.tsx:161

### enabled

enabled: boolean

Overrides OwnPropsOfNonEmptyCell.enabled

- Defined in packages/material/src/complex/MaterialTableControl.tsx:153

### errors

errors: string

- Defined in packages/material/src/complex/MaterialTableControl.tsx:151

### path

path: string

- Defined in packages/material/src/complex/MaterialTableControl.tsx:152

### Optional propName

propName: string

Inherited from NonEmptyCellProps.propName

- Defined in packages/material/src/complex/MaterialTableControl.tsx:157

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from NonEmptyCellProps.renderers

- Defined in packages/material/src/complex/MaterialTableControl.tsx:160

### rootSchema

rootSchema: JsonSchema

- Defined in packages/material/src/complex/MaterialTableControl.tsx:150

### rowPath

rowPath: string

Inherited from NonEmptyCellProps.rowPath

- Defined in packages/material/src/complex/MaterialTableControl.tsx:156

### schema

schema: JsonSchema

Inherited from NonEmptyCellProps.schema

- Defined in packages/material/src/complex/MaterialTableControl.tsx:158

Generated using TypeDoc